View Issue Details

IDProjectCategoryView StatusLast Update
0000385WackoWikiinstallerpublic2017-08-31 09:36
Reporterpascalvmf Assigned Toadministrator  
PriorityhighSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
PlatformsynologyOSlinux 
Product Version4.3.rc 
Target Version5.5.0Fixed in Version5.5.0 
Summary0000385: installer should show sql error when upgrading
Descriptionwhen upgrading and receiving error during sql upgrade, it is better for developper to get the exact error messages.

Today only layman messages are issued by setup/database-installer.php
Steps To ReproduceJust upgrade from R4.3rc to R5.0beta
Additional InformationProposed patch to show sql errors :

--- database-install.php.org
+++ database-install.php
@@ -11,7 +11,7 @@
        {
                if($error_text)
                {
- echo "<ul class=\"install_error\">
  • ".$error_text."
  • ";
    + echo "<ul class=\"install_error\">
  • ".$error_text."
    ".mysql_error()."
  • ";
                    }
     
                    echo "\n";
    Tagsmysql, Test

    Activities

    administrator

    2011-10-18 14:54

    administrator   ~0000824

    Last edited: 2011-12-27 08:12

    View 2 revisions

    This is only the case for the mysql_legacy and mysqli_legacy driver, so we need this for both cases, the PDO driver catches and shows the errors. A patch addressing both cases would be helpful. -> 5.0 branch

    administrator

    2011-12-27 11:03

    administrator   ~0000833

    Last edited: 2011-12-27 11:07

    View 2 revisions

    added support for mysql driver
    mysqli driver requires $dblink parameter in test function
    e.g.
    test($lang['InstallingConfigValues'], @mysqli_query($dblink, $insert_config), str_replace('%1', 'config values', $lang['ErrorAlreadyExists']), $dblink);

    http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/dev/rev/badb93283d85

    administrator

    2015-09-19 11:05

    administrator   ~0000952

    added support for mysqli driver
    http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/dev/rev/5460c84cbcb2

    Issue History

    Date Modified Username Field Change
    2011-06-03 15:01 pascalvmf New Issue
    2011-06-08 08:54 administrator Status new => acknowledged
    2011-06-14 19:36 administrator Tag Attached: mysql
    2011-06-14 19:37 administrator Tag Attached: Test
    2011-10-13 08:02 administrator Target Version 5.0.beta => 5.0.0
    2011-10-18 14:54 administrator Note Added: 0000824
    2011-12-27 08:12 administrator Note Edited: 0000824 View Revisions
    2011-12-27 11:03 administrator Note Added: 0000833
    2011-12-27 11:05 administrator Status acknowledged => assigned
    2011-12-27 11:07 administrator Note Edited: 0000833 View Revisions
    2011-12-27 11:08 administrator Assigned To => administrator
    2011-12-27 11:35 administrator Severity major => tweak
    2012-04-22 17:04 administrator Target Version 5.0.0 => 5.4.0
    2014-03-21 14:57 administrator Target Version 5.4.0 => 5.5.0
    2015-09-19 11:05 administrator Status assigned => resolved
    2015-09-19 11:05 administrator Resolution open => fixed
    2015-09-19 11:05 administrator Fixed in Version => 5.5.0
    2015-09-19 11:05 administrator Note Added: 0000952
    2016-09-21 09:18 administrator Fixed in Version 5.5.0 => 5.5.rc2
    2017-08-31 09:36 administrator Fixed in Version 5.5.rc2 => 5.5.0